#!/bin/sh

set -ex

VERSION=$2
UNPACKDIR=$(mktemp -d)

tar --directory "${UNPACKDIR}" --extract --file "../ldraw-parts_$VERSION.orig.tar.xz"

# recover mklist.c and headers from mklist1_6.zip
unzip -q "${UNPACKDIR}/ldraw/mklist1_6.zip" mklist.c include/*.h -d "${UNPACKDIR}/ldraw"
rm "${UNPACKDIR}/ldraw/mklist1_6.zip"

# repack source tarball
# gz would be 47% larger than xz
XZ_OPT=-v9e tar --remove-files --directory="$UNPACKDIR" -cJf "../ldraw-parts_$VERSION.orig.tar.xz" ldraw

rmdir "$UNPACKDIR"

exit 0
